// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Item {
   id: container
   property string text: "NOT SET"
   property alias color : rectangle.color

   signal clicked()

   width: 100
   height: 70

   BorderImage {
       id: borderImage;
       anchors.fill: rectangle
       anchors { leftMargin: -6; topMargin: -6; rightMargin: -8; bottomMargin: -8 }
       border { left: 10; top: 10; right: 10; bottom: 10 }
       source: "gfx/shadow.png"; smooth: true
   }

   Rectangle { id: rectangle; anchors.fill: parent }

   MouseArea {
       id: mouseArea
       anchors.fill: rectangle
       onClicked:
       {
          container.clicked();
       }
   }
   Text {
       id: buttonLabel
       text: parent.text
       font.pointSize: 10
       wrapMode: Text.WordWrap

       anchors {
           horizontalCenter: parent.horizontalCenter
           verticalCenter: parent.verticalCenter
       }
   }

   states: [
      State
      {
         name: "pressed"; when: mouseArea.pressed;
         PropertyChanges {target: buttonLabel; color: "#f94d06";}
         PropertyChanges {target: borderImage; source: "gfx/orangeshadow.png";}
      }
   ]

}
