// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Rectangle {
   id: rectangle1
   width: 800
   height: 480
   color: "#8a8c8d"


   Column
   {
      x: 23
      y: 18
      width: 107
      height: 245
      spacing: 20
      property color buttonColor: "lightsteelblue"
      ShadowButton { width: 125; color: "lightsteelblue"; text:"Menu"}
      ShadowButton {
          width: 125
         color:"lightsteelblue"; text:"Save"
         onClicked: scheduleScreen1.saveClicked();
      }
      ShadowButton { width: 125;color:"lightsteelblue"; text:"Monitor"}

   }

   Column
   {
      x: 654
      y: 18
      width: 128
      height: 265
      spacing: 20
      property color buttonColor: "lightsteelblue"
      ShadowButton {
          width: 125
         color: "lightsteelblue"; text:"+"
         onClicked:
         {
            scheduleListView.plusClicked();
         }
      }
      ShadowButton {
          width: 125
         color: "lightsteelblue"; text:"-"
         onClicked:
         {
            scheduleListView.minusClicked();
         }
      }
      ShadowButton {
          width: 125
         color:"lightsteelblue"; text:"Run"
         onClicked:
         {
            scheduleScreen1.runClicked();
         }
      }

   }

   Flipable
   {
      id: screen
      x: 95
      y: 5
      property bool flipped: false
      front: ScheduleScreen {
       id: scheduleScreen1
       x: 68
       y: 10
       width: 479
       height: 263
       onEditingChanged:
       {
          bottomCommands.flipped = editing > 0;
       }

      }

      back: ScheduleListView{
         id: scheduleListView;
         x: 68
         y: 10
         width: 479
         height: 263
      }


      transform: Rotation {
          id: rotation; origin{ x: 320; y: 141}
          axis{x: 1; y: 0; z: 0}
      }

      states: State {
          name: "back"; when: screen.flipped
          PropertyChanges { target: rotation; angle: 180 }
      }
   }

   Flipable
   {
      x: 0
      y: 140
      id: bottomCommands
      property bool flipped: false

      front: ButtonGrid {
         id: grid1
         x: 6
         y: 150
         width: 792
         height: 186
         anchors.top: parent.top
         anchors.topMargin: 150
         onScheduleClicked:
         {
            screen.flipped = !screen.flipped;
         }
         onActionClicked:
         {
            if (!screen.flipped)
            {
               scheduleScreen1.actionClicked(id);
            }
         }
      }

      transform: Rotation {
          id: rotation2; origin{ x: 320; y: 155}
          axis{x: 1; y: 0; z: 0}
      }

      back: NumericKeyboard{
          width: 798
          height: 150
         onEnterClicked:
         {
            scheduleScreen1.enterClicked();
         }
         onDigitClicked:
         {
            scheduleScreen1.digitClicked(digit);
            console.log("digit clicked - " + digit);
         }
         onClearClicked:
         {
            scheduleScreen1.clearClicked();
         }
      }

      states: State {
          name: "back"; when: bottomCommands.flipped
          PropertyChanges { target: rotation2; angle: 180 }
      }
   }
}
